> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/assessment/childhood-visit.md).

# Childhood Visit

| **API URL**     | {{url}}/spice-service/assessment/create |
| --------------- | --------------------------------------- |
| **Method**      | POST                                    |
| **Description** | Assessment Creation of Childhood Visit  |

#### **Input:** <a href="#childhoodvisit-v2-input" id="childhoodvisit-v2-input"></a>

| **Field Name**                     | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header)             | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                             | String   | Yes           | mob                                                                                                                                     |
| households                         | String   | Yes           | Households details                                                                                                                      |
| householdMembers                   | String   | Yes           | Household Members details                                                                                                               |
| assessments                        | String   | Yes           | Assessment details                                                                                                                      |
| assessmentDetails                  | String   | Yes           | PNC Child                                                                                                                               |
| pentaOpvGiven                      | Boolean  | Yes           | Penta Opv Given                                                                                                                         |
| motherOrPartnerUsingFamilyPlanning | Boolean  | Yes           | Mother Or Partner Using Family Planning                                                                                                 |
| measles1Given                      | Boolean  | Yes           | Measles 1 Given                                                                                                                         |
| sleepsUnderBedNet                  | Boolean  | Yes           | Sleeps Under Bed Net                                                                                                                    |
| yellowFeverVacineGiven             | Boolean  | Yes           | Yellow Fever Vaccine Given                                                                                                              |
| fedFrom4FoodGroups                 | Boolean  | Yes           | Fed From 4 Food Groups                                                                                                                  |
| takingMinimumMealsPerDay           | Boolean  | Yes           | Taking Minimum Meals PerDay                                                                                                             |
| actualVisitDate                    | Date     | Yes           | Actual Visit Date                                                                                                                       |
| deathOfBaby                        | Boolean  | Yes           | Death Of Baby                                                                                                                           |
| muac                               | String   | Yes           | MUAC                                                                                                                                    |
| actualVisitDate                    | Date     | Yes           | Actual Visit Date                                                                                                                       |
| postReferralFollowUpDone           | Boolean  | Yes           | Post Referral FollowUp Done                                                                                                             |
| pncChildSigns                      | String   | Yes           | drowsyOrDifficultToAwaken, vomiting everything                                                                                          |
| fatherPresent                      | Boolean  | Yes           | Father Present                                                                                                                          |
| visitNo                            | Bigint   | Yes           | Visit Number                                                                                                                            |
| assessmentType                     | String   | Yes           | CHILDHOOD\_VISIT                                                                                                                        |
| encounter                          | String   | Yes           | Encounter details like patient details and organization details                                                                         |
| endTime                            | Date     | Yes           | End Time                                                                                                                                |
| householdId                        | Bigint   | Yes           | Household Id                                                                                                                            |
| latitude                           | Double   | Yes           | Location details                                                                                                                        |
| longitude                          | Double   | Yes           | longitude details                                                                                                                       |
| memberId                           | Bigint   | Yes           | Household Member Id                                                                                                                     |
| patientId                          | Bigint   | Yes           | Patient Id                                                                                                                              |
| provenance                         | String   | Yes           | Provenance details                                                                                                                      |
| referred                           | Boolean  | Yes           | Patient Referred status                                                                                                                 |
| startTime                          | Date     | Yes           | Start Time                                                                                                                              |
| patientStatus                      | String   | Yes           | Patient Status                                                                                                                          |
| referenceId                        | Bigint   | Yes           | Reference ID for a household member                                                                                                     |
| referredReasons                    | String   | Yes           | Childhood Visit Signs - Childhood Visit 1                                                                                               |
| summary                            | String   | Yes           | nextVisitDate, referredSiteId                                                                                                           |
| updatedAt                          | Date     | Yes           | Updated At                                                                                                                              |
| villageId                          | Bigint   | Yes           | Village ID for assessment                                                                                                               |

#### **Sample Input:** <a href="#childhoodvisit-v2-sampleinput" id="childhoodvisit-v2-sampleinput"></a>

{\
"households": \[],\
"householdMembers": \[],\
"assessments": \[\
{\
"assessmentDetails": {\
"pncChild": {\
"pentaOpvGiven": false,\
"motherOrPartnerUsingFamilyPlanning": false,\
"measles1Given": false,\
"sleepsUnderBedNet": false,\
"yellowFeverVacineGiven": false,\
"fedFrom4FoodGroups": false,\
"takingMinimumMealsPerDay": false,\
"plannedVisitDate": "2025-01-08T00:00:00+00:00",\
"deathOfBaby": false,\
"muac": "Green",\
"actualVisitDate": "2025-01-15T00:00:00+00:00",\
"postReferralFollowUpDone": false,\
"pncChildSigns": \[\
"drowsyOrDifficultToAwaken",\
"vomitingEverything"\
],\
"fatherPresent": false,\
"visitNo": 1\
}\
},\
"assessmentType": "CHILDHOOD\_VISIT",\
"encounter": {\
"endTime": "2025-01-27T10:46:02.899Z",\
"householdId": "22",\
"latitude": 37.4219983,\
"longitude": -122.084,\
"memberId": "1",\
"patientId": "2",\
"provenance": {\
"modifiedDate": "2025-01-27T10:45:59.113Z",\
"organizationId": "1",\
"spiceUserId": 2,\
"userId": "3"\
},\
"referred": true,\
"startTime": "2025-01-27T10:46:02.895Z",\
"visitNumber": 1\
},\
"patientStatus": "Referred",\
"referenceId": 6,\
"referredReasons": "Childhood Visit Signs - Childhood Visit 1",\
"summary": {\
"nextVisitDate": "2025-04-13T00:00:00+00:00",\
"referredSiteId": 1\
},\
"updatedAt": 1737974759113,\
"villageId": "11"\
}\
],\
"followUps": \[],\
"householdMemberLinks": \[]\
}

#### **Output:** <a href="#childhoodvisit-v2-output" id="childhoodvisit-v2-output"></a>

| **Field Name**     | **Type** | **Comments**                    |
| ------------------ | -------- | ------------------------------- |
| <p>Message<br></p> | String   | Assessment Created Successfully |

#### **Sample Output:** <a href="#childhoodvisit-v2-sampleoutput" id="childhoodvisit-v2-sampleoutput"></a>

```
{
  "message": "Assessment Created Successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/assessment/childhood-visit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
